ldap_mod_del
ldap_modify
LDAP Functions
PHP Manual

# ldap_mod_replace

(PHP 4, PHP 5)

ldap_mod_replace — Replace attribute values with new ones

### Description

bool ldap_mod_replace ( resource `$link_identifier` , string `$dn` , array `$entry` )

Replaces one or more attributes from the specified `dn` . It performs the modification at the attribute level as opposed to the object level. Object-level modifications are done by the ldap_modify() function.

### Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect().

`dn`

  The distinguished name of an LDAP entity.

`entry`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: This function is binary-safe.

### See Also

- ldap_mod_del() - Delete attribute values from current attributes
- ldap_mod_add() - Add attribute values to current attributes

ldap_mod_del
ldap_modify
LDAP Functions
PHP Manual